{% extends 'base.html.twig' %}
{% block title %}Contact index{% endblock %}
{% block body %}
    <div class="box" style="max-width: 900px; margin: auto">
        <h1 class="title">Liste des contacts</h1>

        <table class="table is-bordered is-striped is-narrow is-hoverable is-fullwidth">
            <thead>
            <tr class="is-selected">
                <th>Id</th>
                <th>Prénom</th>
                <th>Nom</th>
                <th>Email</th>
                <th>Téléphone</th>
                <th>Actions</th>
            </tr>
            </thead>
            <tbody>
            {% for contact in contacts %}
                <tr>
                    <td>{{ contact.id }}</td>
                    <td>{{ contact.firstname }}</td>
                    <td>{{ contact.lastname }}</td>
                    <td>{{ contact.email }}</td>
                    <td>{{ contact.phone }}</td>
                    <td class="is-flex is-justify-content-space-around">
                        <a href="{{ path('app_contact_show', {'id': contact.id}) }}"><img src="https://th.bing.com/th/id/R.56e5825f40566365696570d89d463be5?rik=0S9COLF7i3Pu5w&riu=http%3a%2f%2ficons.iconarchive.com%2ficons%2fcustom-icon-design%2fmono-general-4%2f512%2feye-icon.png&ehk=4BJeBYVDs6L%2f73LjRAIZ%2f6UY73IXkC16DHHm3JdW1%2fk%3d&risl=&pid=ImgRaw&r=0" height="28px" width="18px"></a>
                        <a href="{{ path('app_contact_edit', {'id': contact.id}) }}"><img src="https://th.bing.com/th/id/R.e3d9ab63fdb9b258a62921535e0f8a3a?rik=uhDZS4Ak03dfww&riu=http%3a%2f%2fcdn.onlinewebfonts.com%2fsvg%2fimg_386644.png&ehk=RK039QvKQGHWDkqFd6IH6qStFaYVwvoX1nijQYAiAhk%3d&risl=&pid=ImgRaw&r=0" width="18px" height="18px"></a>
                        <form method="post" action="{{ path('app_contact_delete', {'id': contact.id}) }}" onsubmit="return confirm('Voulez-vous supprimer ce contact?');">
                            <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ contact.id) }}">
                            <style>
                                button:hover{
                                    cursor: pointer;
                                }
                            </style>
                            <button style="border: none; padding: 0; background: none;"><img src="https://deezloader.site/wp-content/uploads/2019/09/delete_png_377869-300x300.png" height="28px" width="18px"></button>
                        </form>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="6">Pas de résultats trouvés</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>

        <a href="{{ path('app_contact_new') }}">Créer un nouveau contact</a>
    </div>
{% endblock %}
